package com.jz.dmp.modules.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * 实时同步表信息  列级别的信息
 */
@ApiModel(value = "实时同步表下列级别的信息", description = "实时同步表下列级别的信息")
public class RealTimeSyncColumnModel implements Serializable {

	private static final long serialVersionUID = 7171169593984549127L;
	/**
	 * 表名
	 */
	@ApiModelProperty(value = "表名")
	private String tableName;
	
	
	/**
	 * 当前表的所有列
	 */
	@ApiModelProperty(value = "当前表的所有列")
	private List<String> allColumns;
	
	
	/**
	 * 当前表是字符串类型的列
	 */
	@ApiModelProperty(value = "当前表是字符串类型的列")
	private List<Map<String, Object>> strColumns;


	public String getTableName() {
		return tableName;
	}


	public void setTableName(String tableName) {
		this.tableName = tableName;
	}


	public List<String> getAllColumns() {
		return allColumns;
	}


	public void setAllColumns(List<String> allColumns) {
		this.allColumns = allColumns;
	}


	public List<Map<String, Object>> getStrColumns() {
		return strColumns;
	}


	public void setStrColumns(List<Map<String, Object>> strColumns) {
		this.strColumns = strColumns;
	}
	
}
